Skip to main content
GET
/
v1
/
transactions
List Transactions
curl --request GET \
  --url https://api.example.com/v1/transactions
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "item_id": "<string>",
      "sku": "<string>",
      "region": "<string>",
      "sales_value": "<string>",
      "gross_profit": "<string>",
      "stock_after_sale": "<string>",
      "regular_price": "<string>",
      "promo_type": "<string>",
      "zone_price": "<string>",
      "external_transaction_id": "<string>",
      "unit_cost": "<string>",
      "discount_rate": "<string>",
      "currency": "<string>",
      "tax_rate": "<string>",
      "transaction_type": "<string>",
      "store_id": "<string>",
      "transaction_timestamp": "2023-11-07T05:31:56Z",
      "quantity": "<string>",
      "selling_price": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 1000
cursor
string | null
updated_since
string | null

Response

Successful Response

items
TransactionResponse · object[]
next_cursor
string | null